# Class RewardItem

java.lang.Object
com.codename1.ads.RewardItem

public class RewardItem extends Object

The reward earned by a user who finished watching a `RewardedAd` or `RewardedInterstitialAd`. The `type` and `amount` are configured in the ad network console for the specific ad unit.

Note: for production apps that grant valuable rewards you should verify the reward server side rather than trusting the client. See `ServerSideVerificationOptions`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RewardItem(String type, int amount)`
  Creates a new reward item.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getAmount()`
  The reward amount.
  `String`
  `getType()`
  The reward type as configured in the ad network console (e.g. "coins").
  `String`
  `toString()`
  Returns a string representation of the object.

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RewardItem

    public RewardItem(String type, int amount)

    Creates a new reward item.

    ###### Parameters

    - `type`: the reward type as configured in the ad network console (e.g. "coins")
    - `amount`: the reward amount

- ## Method Details

  - ### getType

    public String getType()
    The reward type as configured in the ad network console (e.g. "coins").

  - ### getAmount

    public int getAmount()
    The reward amount.

  - ### toString

    public String toString()
    Description copied from class: `Object`
    Returns a string representation of the object. In general, the toString method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method. The toString method for class Object returns a string consisting of the name of the class of which the object is an instance, the at-sign character `@', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of: getClass().getName() + '@' + Integer.toHexString(hashCode())
    Overrides:
      `toString` in class `Object`